Application: gvSIG desktop - gvSIG bugs #5573
Al importar campos desaparecen algunas letras con acentos
03/08/2021 04:14 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Document table

Target version: 2.6.0-3302

Severity: Critical Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3046 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si importamos campos de una tabla CSV a una DBF de un shape, se importan los campos bien, pero concretamente la letra "{" (I
mayUscula con acento) no se importa, y el resto si. La palabra "Si" se importa como "S".

Adjunto tablas de prueba. No salta nada en el log.

Pasos:

- Vista 25830 y cargar capa de Cuadros_Alzira_def.shp (se puede cargar la tabla como default o como UTF8, se ve todo bien).
- Anadir tabla "Anexol.....csv" al proyecto.

- Importar campos:

Tabla entrada "CuadrosAlzira_def.shp"

Campo unico: "Cuadro”

Tabla a unir: Anexol...csv"

Campo unico: Ref_cuadro

Se importan los campos pero con el error mencionado.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5519: Al importar campos... New 12/02/2020

Associated revisions

Revision 2888 - 12/21/2022 12:23 PM - Francisco Diaz Carsi

refs #5573, Afadido método error al FilteredLogger

Revision 46904 - 12/21/2022 12:24 PM - Francisco Diaz Carsi

refs #5573, Ahadido mensaje de error cuando el proveedor de DBF tiene que recortar el valor de un campo

Revision 46905 - 12/23/2022 10:10 AM - Francisco Diaz Carsi

refs #5573, Fix ConcurrentModificationException when editing features in iterating over them.
History

#1 - 03/08/2021 04:14 PM - Mario Carrera
- Related to gvSIG bugs #5519: Al importar campos deja los campos unidos vacios added

#2 - 03/08/2021 05:53 PM - Mario Carrera
- Severity changed from Minor to Critical

Afado mas informacién: Si edito la tabla con los campos unidos, y con la calculadora de campos relleno los que se habian quedado con "S" como
"Si", si que se van viendo los cambios al darle a "Aplicar" en la calculadora de campos tras cada rellenado, pero al darle a Aceptar para finalizar la

calculadora se vuelven todos los textos anteriores como "S".

#3 - 03/09/2021 06:25 PM - Mario Carrera
- File gvSIG.log added

Lo hemos probado en otro equipo con Ubuntu, y ha saltado error. Adjunto el log con la informacion. Ademas ha dejado gvSIG bloqueado.

En Windows lo hizo bien una vez, pero al abrir la tabla en Linux después salian vacios los campos unidos. Al final pude hacerlo por Unién de tablas en
Windows (en Linux también fallaba esto)

#4 - 01/19/2023 07:24 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

El error no tenia nada que ver con los acentos.

El problema es que era un campo booleano y se habia indicado que ese campo tenia longitud 2, y luego se trataba de introducir en ese campo los
valores "Si" o "No". La longitud de campo en el dbf, no es el numero de caracteres del campo, si no el numero de bytes de este. Para el valor "No",
son 2 bytes, pero para el valor "Si" son 4 bytes, ya que la i acentuada son 4 bytes. El proveedor de dbf, cortaba el valor del campo a 2 bytes y
quedaba corrupto el valor, presentando un valor extrafio en lugar de una i acentuada.

Se ha modificado el el proveedor para que informe en el log cuando se intenta escribir un valor mas largo del soportado en un campo, indicando sobre

que campo ha pasado.
Ademas de esto, el proceso de importar cambios, mostraba por la consola un error de modificacion concurrente. Esto se debia a la forma en como se

recorren las features ya editadas. Se ha modificado la forma en como se itera para evitar este problema.

#5 - 08/03/2023 02:18 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
importar_campos.zip 25.5 KB 03/08/2021 Mario Carrera
gvSIG.log 468 KB 03/09/2021 Mario Carrera
